Menu

11.2. Passport 安装调试

Passport 安装

1. 创建新分支

由于是将原有的认证方式 JWT,替换为 OAuth2,所以我们新建一个分支来进行代码开发

$ git checkout -b passport

需要明白 api 分支实现的是 JWT 的认证逻辑,passport 分支实现的是 Passport 的逻辑,根据你的实际情况使用

2. Composer 安装

使用 Composer 安装 Passport :

composer require laravel/passport:~4.0

注意 Laravel 5.6 已经发布,最新的 laravel/passport 版本为 5.0 适配 Laravel 5.6,所以我们需要使用 Laravel 5.5 的适配版本 4.0

如果安装过程中遇到 paragonie/random_compat 版本冲突的问题,可以先执行 composer require paragonie/random_compat:^2.0 将其降级为 2.0 的版本。

file

3. 生成数据表

本文章首发在 Laravel China 社区

为了保证课程的高品质,我们需要对课程进行收费。付费后 才能观看剩余内容。 购买

上一篇 下一篇
刻意练习,每日精进。
11
点赞
3941
浏览
9
讨论
贡献者